Loading...
Searching...
No Matches
Bites
Optional Components

reusable utilities for rapid prototyping More...

## Topics

| Input
| SDL2 inspired input abstraction layer providing basic events.
| Trays
| Simplistic GUI System build with Overlays.

## Classes

class | OgreBites::AdvancedRenderControls
class | OgreBites::ApplicationContextBase
| Base class responsible for setting up a common context for applications. More...
class | OgreBites::ApplicationContextQt
| Specialization for connecting with Qt. More...
class | OgreBites::CameraMan
| Utility class for controlling the camera in samples. More...
struct | OgreBites::NativeWindowPair
| link between a renderwindow and a platform specific window More...
class | OgreBites::SGTechniqueResolverListener
| Default implementation of a Listener to use with the Ogre::RTShader system. More...
class | OgreBites::StaticPluginLoader
| Utility class for loading the plugins statically. More...
class | OgreBites::WindowEventListener
| Callback class used to send out window events to client app. More...
class | OgreBites::WindowEventUtilities
| Utility class to handle Window Messages. More...

## Typedefs

typedef ApplicationContextBase | OgreBites::ApplicationContext

## Enumerations

enum | OgreBites::CameraStyle { OgreBites::CS_FREELOOK , OgreBites::CS_ORBIT , OgreBites::CS_MANUAL }
| enumerator values for different styles of camera movement More...

## Detailed Description

reusable utilities for rapid prototyping

## Typedef Documentation

## ApplicationContext

typedef ApplicationContextBase OgreBites::ApplicationContext

## Enumeration Type Documentation

## CameraStyle

enum OgreBites::CameraStyle

enumerator values for different styles of camera movement

Enumerator
CS_FREELOOK |
CS_ORBIT |
CS_MANUAL |